# load in the CERA tree data and our grid of housing ages through the residential red zone

# created 27 Oct 2017

#install.packages ("shapefiles") # re-run if you need to reinstall the package
library (shapefiles)

# read in the red zone tree map

#1940
Houses1940_dbf <- read.dbf ("../1_data/CERA red zone tree database/Red Zone_GIS Tree data/Houses1940-1944.dbf")
str (Houses1940_dbf)
Houses1940_dbf$dbf$X1940.1944
Houses1940_dbf$dbf$id [!is.na(Houses1940_dbf$dbf$X1940.1944)]
# simplify this down to just what we need
head (Houses1940_dbf$dbf)

Houses1940 <- Houses1940_dbf$dbf [, c("id", "xmin", "xmax", "ymin", "ymax", "X1940.1944")]

nrow (Houses1940)

#1945
Houses1945_dbf <- read.dbf ("../1_data/CERA red zone tree database/Red Zone_GIS Tree data/Houses1945-1949.dbf")
str (Houses1945_dbf)
Houses1945_dbf$dbf$X1945.1949
Houses1945_dbf$dbf$id [!is.na(Houses1945_dbf$dbf$X1945.1949)]
# simplify this down to just what we need
head (Houses1945_dbf$dbf)

Houses1945 <- Houses1945_dbf$dbf [, c("id", "xmin", "xmax", "ymin", "ymax", "X1945.1949")]

nrow (Houses1945)

#1955
Houses1955_dbf <- read.dbf ("../1_data/CERA red zone tree database/Red Zone_GIS Tree data/Houses1955-1959.dbf")
str (Houses1955_dbf)
Houses1955_dbf$dbf$X1955.1959
Houses1955_dbf$dbf$id [!is.na(Houses1955_dbf$dbf$X1955.1959)]
# simplify this down to just what we need
head (Houses1955_dbf$dbf)

Houses1955 <- Houses1955_dbf$dbf [, c("id", "xmin", "xmax", "ymin", "ymax", "X1955.1959")]

nrow (Houses1955)


#1965
Houses1965_dbf <- read.dbf ("../1_data/CERA red zone tree database/Red Zone_GIS Tree data/Houses1965-1969.dbf")
str (Houses1965_dbf)
Houses1965_dbf$dbf$X1965.1969
Houses1965_dbf$dbf$id [!is.na(Houses1965_dbf$dbf$X1965.1969)]
# simplify this down to just what we need
head (Houses1965_dbf$dbf)

Houses1965 <- Houses1965_dbf$dbf [, c("id", "xmin", "xmax", "ymin", "ymax", "X1965.1969")]

nrow (Houses1965)

#1970
Houses1970_dbf <- read.dbf ("../1_data/CERA red zone tree database/Red Zone_GIS Tree data/Houses1970-1974.dbf")
str (Houses1970_dbf)
Houses1970_dbf$dbf$X1970.1974
Houses1970_dbf$dbf$id [!is.na(Houses1970_dbf$dbf$X1970.1974)]
# simplify this down to just what we need
head (Houses1970_dbf$dbf)

Houses1970 <- Houses1970_dbf$dbf [, c("id", "xmin", "xmax", "ymin", "ymax", "X1970.1974")]

nrow (Houses1970)

#1975
Houses1975_dbf <- read.dbf ("../1_data/CERA red zone tree database/Red Zone_GIS Tree data/Houses1975-1979.dbf")
str (Houses1975_dbf)
Houses1975_dbf$dbf$X1975.1979
Houses1975_dbf$dbf$id [!is.na(Houses1975_dbf$dbf$X1975.1979)]
# simplify this down to just what we need
head (Houses1975_dbf$dbf)

Houses1975 <- Houses1975_dbf$dbf [, c("id", "xmin", "xmax", "ymin", "ymax", "X1975.1979")]

nrow (Houses1975)



#1980
Houses1980_dbf <- read.dbf ("../1_data/CERA red zone tree database/Red Zone_GIS Tree data/Houses1980-1984.dbf")
str (Houses1980_dbf)
Houses1980_dbf$dbf$X1980.1984
Houses1980_dbf$dbf$id [!is.na(Houses1980_dbf$dbf$X1980.1984)]
# simplify this down to just what we need
head (Houses1980_dbf$dbf)

Houses1980 <- Houses1980_dbf$dbf [, c("id", "xmin", "xmax", "ymin", "ymax", "X1980.1984")]

nrow (Houses1980)

#1985
Houses1985_dbf <- read.dbf ("../1_data/CERA red zone tree database/Red Zone_GIS Tree data/Houses1985-1989.dbf")
str (Houses1985_dbf)
Houses1985_dbf$dbf$X1985.1989
Houses1985_dbf$dbf$id [!is.na(Houses1985_dbf$dbf$X1985.1989)]
# simplify this down to just what we need
head (Houses1985_dbf$dbf)

Houses1985 <- Houses1985_dbf$dbf [, c("id", "xmin", "xmax", "ymin", "ymax", "X1985.1989")]

nrow (Houses1985)

#1990
Houses1990_dbf <- read.dbf ("../1_data/CERA red zone tree database/Red Zone_GIS Tree data/Houses1990-1994.dbf")
str (Houses1990_dbf)
Houses1990_dbf$dbf$X1990.1994
Houses1990_dbf$dbf$id [!is.na(Houses1990_dbf$dbf$X1990.1994)]
# simplify this down to just what we need
head (Houses1990_dbf$dbf)

Houses1990 <- Houses1990_dbf$dbf [, c("id", "xmin", "xmax", "ymin", "ymax", "X1990.1994")]

nrow (Houses1990)

#1995
Houses1995_dbf <- read.dbf ("../1_data/CERA red zone tree database/Red Zone_GIS Tree data/Houses1995-1999.dbf")
str (Houses1995_dbf)
Houses1995_dbf$dbf$X1995.1999
Houses1995_dbf$dbf$id [!is.na(Houses1995_dbf$dbf$X1995.1999)]
# simplify this down to just what we need
head (Houses1995_dbf$dbf)

Houses1995 <- Houses1995_dbf$dbf [, c("id", "xmin", "xmax", "ymin", "ymax", "X1995.1999")]

nrow (Houses1995)

#2000
Houses2000_dbf <- read.dbf ("../1_data/CERA red zone tree database/Red Zone_GIS Tree data/Houses2000-2004.dbf")
str (Houses2000_dbf)
Houses2000_dbf$dbf$X2000.2004
Houses2000_dbf$dbf$id [!is.na(Houses2000_dbf$dbf$X2000.2004)]
# simplify this down to just what we need
head (Houses2000_dbf$dbf)

Houses2000 <- Houses2000_dbf$dbf [, c("id", "xmin", "xmax", "ymin", "ymax", "X2000.2004")]

nrow (Houses2000)


# the following with the shape file is not necessary because the box coordinates are also in the dbf file

#Houses1980_coords <- read.shp ("../1_data/CERA red zone tree database/Red Zone_GIS Tree data/Houses1980-1984.shp")
#str (Houses1980_coords) # displays the structure of the object
#head (Houses1980_coords$header)
#head (Houses1980_coords$shp)
# this shape file is a list with many objects, one per square (box) on the map.
# each box has a "record" which is the same number as the "id" in the dbf file
#Houses1980_coords$shp[[1362]]


# now merge together all of the different years into one data.frame

houses <- merge (Houses1940, Houses1945, by = c("id", "xmin", "xmax", "ymin", "ymax"), all = TRUE)
houses <- merge (houses, Houses1955, by = c("id", "xmin", "xmax", "ymin", "ymax"), all = TRUE)
houses <- merge (houses, Houses1965, by = c("id", "xmin", "xmax", "ymin", "ymax"), all = TRUE)
houses <- merge (houses, Houses1970, by = c("id", "xmin", "xmax", "ymin", "ymax"), all = TRUE)
houses <- merge (houses, Houses1975, by = c("id", "xmin", "xmax", "ymin", "ymax"), all = TRUE)
houses <- merge (houses, Houses1980, by = c("id", "xmin", "xmax", "ymin", "ymax"), all = TRUE)
houses <- merge (houses, Houses1985, by = c("id", "xmin", "xmax", "ymin", "ymax"), all = TRUE)
houses <- merge (houses, Houses1990, by = c("id", "xmin", "xmax", "ymin", "ymax"), all = TRUE)
houses <- merge (houses, Houses1995, by = c("id", "xmin", "xmax", "ymin", "ymax"), all = TRUE)
houses <- merge (houses, Houses2000, by = c("id", "xmin", "xmax", "ymin", "ymax"), all = TRUE)

head (houses)

# now remove all rows where there is never a "yes"

houses <- houses [(!is.na(houses$X1940.1944) | !is.na(houses$X1945.1949) | !is.na(houses$X1955.1959) | !is.na(houses$X1965.1969) | !is.na(houses$X1970.1974) | !is.na(houses$X1975.1979) | !is.na(houses$X1980.1984) | !is.na(houses$X1985.1989) | !is.na(houses$X1990.1994) | !is.na(houses$X1995.1999) | !is.na(houses$X2000.2004)),]

# each column gets a "yes" in the first five year period when it has 50% in housing (including gardens, roads).

houses$first.year.with.houses <- NA

houses$first.year.with.houses [!is.na(houses$X1940.1944) & houses$X1940.1944 == "yes" ] <- 1940
houses$first.year.with.houses [!is.na(houses$X1945.1949) & houses$X1945.1949 == "yes" ] <- 1945
houses$first.year.with.houses [!is.na(houses$X1955.1959) & houses$X1955.1959 == "yes" ] <- 1955
houses$first.year.with.houses [!is.na(houses$X1965.1969) & houses$X1965.1969 == "yes" ] <- 1965
houses$first.year.with.houses [!is.na(houses$X1970.1974) & houses$X1970.1974 == "yes" ] <- 1970
houses$first.year.with.houses [!is.na(houses$X1975.1979) & houses$X1975.1979 == "yes" ] <- 1975
houses$first.year.with.houses [!is.na(houses$X1980.1984) & houses$X1980.1984 == "yes" ] <- 1980
houses$first.year.with.houses [!is.na(houses$X1985.1989) & houses$X1985.1989 == "yes" ] <- 1985
houses$first.year.with.houses [!is.na(houses$X1990.1994) & houses$X1990.1994 == "yes" ] <- 1990
houses$first.year.with.houses [!is.na(houses$X1995.1999) & houses$X1995.1999 == "yes" ] <- 1995
houses$first.year.with.houses [!is.na(houses$X2000.2004) & houses$X2000.2004 == "yes" ] <- 2000

table (houses$first.year.with.houses)

# remove the unnecessary columns
houses <- houses [, c("id", "xmin", "xmax", "ymin", "ymax", "first.year.with.houses")]

# now read in the tree data (the version which we added the Grid IDs to in QGIS using Vector:Data Management Tools:Join attributes by location)

trees_dbf <- read.dbf ("../1_data/CERA red zone tree database/Red Zone_GIS Tree data/CERA Trees with Grid.dbf")
str (trees_dbf)

trees <- trees_dbf$dbf
head (trees)

# remove unneeded grid columns
trees <- subset (trees, select = -c(X1940.1944, X1945.1949, X1955.1959, X1965.1969, X1975.1979, X1980.1984, X1985.1989, X1990.1994, X1995.1999, X2000.2004, last, X1970.1974))

# add in the houses column
trees <- merge (trees, houses [,c("id", "first.year.with.houses")], by = "id", all.x = TRUE, all.y = FALSE)

head (trees)

# note that there are some data where there are trees but no house information. The data has been carefully checked and these are either outside of the Avon red zone or have no houses. Remove them.
trees <- trees [!is.na(trees$first.year.with.houses),]


table (trees$first.year.with.houses)

tapply (trees$Botanical , list (trees$id, trees$first.year.with.houses), length)

trees <- trees [,c("id", "first.year.with.houses","Botanical", "Tree_DBH", "Age_class")]

# look for the id values of squares with NZ for first.year.with.houses
unique (trees$id [is.na(trees$first.year.with.houses)])

#Fixing some mistakes in the data

# change trees$Botanical to character
trees$Botanical <- as.character (trees$Botanical)

trees$Botanical [trees$Botanical == "Acer" & !is.na (trees$Botanical)] <- "Acer sp"
trees$Botanical [trees$Botanical == "Olea europea" & !is.na (trees$Botanical)] <- "Olea europaea"
trees$Botanical [trees$Botanical == "cultivar" & !is.na (trees$Botanical)] <- "sp"
trees$Botanical [trees$Botanical == "Hebe" & !is.na (trees$Botanical)] <- "Veronica"

trees$Genus <- sub("^([A-Za-z]+) .+", "\\1", trees$Botanical)
trees$species <- ""
trees$species [grepl("^([A-Za-z]+) ([A-Za-z]+) .*$", trees$Botanical)] <- sub ("^([A-Za-z]+) ([A-Za-z]+) .*", "\\2", trees$Botanical[grepl("^([A-Za-z]+) ([A-Za-z]+) .*$", trees$Botanical)])
trees$species [grepl("^([A-Za-z]+) ([A-Za-z]+)$", trees$Botanical)] <- sub ("^([A-Za-z]+) ([A-Za-z]+)$", "\\2", trees$Botanical[grepl("^([A-Za-z]+) ([A-Za-z]+)$", trees$Botanical)])

trees $other <- ""
trees $other [grepl ("^([A-Za-z]+) ([A-Za-z]+) (.+)", trees $Botanical)] <- sub ("^([A-Za-z]+) ([A-Za-z]+) (.+)", "\\3", trees $Botanical[grepl ("^([A-Za-z]+) ([A-Za-z]+) (.+)", trees $Botanical)])


trees $full_species <- paste (trees $Genus, trees $species, sep = " ")
trees$full_species [trees$full_species == "Phoenix Palm" & !is.na (trees$full_species)] <- "Phoenix canariensis"

trees$full_species [trees$full_species == "NA sp" & !is.na (trees$full_species)] <- "Other sp"

trees$full_species [trees$full_species == "Phormium " & !is.na (trees$full_species)] <- "Phormium sp"


trees$full_species [trees$full_species == "Malus " & !is.na (trees$full_species)] <- "Malus sp"

trees$full_species [trees$full_species == "Astelia " & !is.na (trees$full_species)] <- "Astelia sp"
trees$full_species [trees$full_species == "Camellia " & !is.na (trees$full_species)] <- "Camellia sp"
trees$full_species [trees$full_species == "Coprosma " & !is.na (trees$full_species)] <- "Coprosma sp"
trees$full_species [trees$full_species == "Corokia " & !is.na (trees$full_species)] <- "Corokia sp"
trees$full_species [trees$full_species == "Pinus " & !is.na (trees$full_species)] <- "Pinus sp"
trees$full_species [trees$full_species == "Viburnum " & !is.na (trees$full_species)] <- "Viburnum sp"
trees$full_species [trees$full_species == "Prunus " & !is.na (trees$full_species)] <- "Prunus sp"
trees$full_species [trees$full_species == "Griselinia " & !is.na (trees$full_species)] <- "Griselinia sp"
trees$full_species [trees$full_species == "Genista " & !is.na (trees$full_species)] <- "Genista sp"
trees$full_species [trees$full_species == "Cotoneaster " & !is.na (trees$full_species)] <- "Cotoneaster sp"
trees$full_species [trees$full_species == "Phebalium " & !is.na (trees$full_species)] <- "Phebalium sp"
trees$full_species [trees$full_species == "Other " & !is.na (trees$full_species)] <- "Other"
trees$full_species [trees$full_species == "Aucuba " & !is.na (trees$full_species)] <- "Aucuba sp"
trees$full_species [trees$full_species == "Veronica " & !is.na (trees$full_species)] <- "Veronica sp"

trees$full_species [trees$full_species == "Sorbus " & !is.na (trees$full_species)] <- "Sorbus sp"
trees$full_species [trees$full_species == "Fraxinus " & !is.na (trees$full_species)] <- "Fraxinus sp"
trees$full_species [trees$full_species == "Betula " & !is.na (trees$full_species)] <- "Betula sp"
trees$full_species [trees$full_species == "Buxus " & !is.na (trees$full_species)] <- "Buxus sp"
trees$full_species [trees$full_species == "Escallonia " & !is.na (trees$full_species)] <- "Escallonia sp"
trees$full_species [trees$full_species == "Fraxinus " & !is.na (trees$full_species)] <- "Fraxinus sp"
trees$full_species [trees$full_species == "Gunnera " & !is.na (trees$full_species)] <- "Gunnera sp"
trees$full_species [trees$full_species == "Leptospermum " & !is.na (trees$full_species)] <- "Leptospermum sp"
trees$full_species [trees$full_species == "Olearia " & !is.na (trees$full_species)] <- "Olearia sp"
trees$full_species [trees$full_species == "Nandina " & !is.na (trees$full_species)] <- "Nandina sp"
trees$full_species [trees$full_species == "NA " & !is.na (trees$full_species)] <- "other sp"
trees$full_species [trees$full_species == "Other" & !is.na (trees$full_species)] <- "other sp"
trees$full_species [trees$full_species == "Protea " & !is.na (trees$full_species)] <- "Protea sp"
trees$full_species [trees$full_species == "Pieris " & !is.na (trees$full_species)] <- "Pieris sp"
trees$full_species [trees$full_species == "Pittosporum " & !is.na (trees$full_species)] <- "Pittosporum sp"
trees$full_species [trees$full_species == "Populus x " & !is.na (trees$full_species)] <- "Populus sp"
trees$full_species [trees$full_species == "Quercus " & !is.na (trees$full_species)] <- "Quercus sp"
trees$full_species [trees$full_species == "Salix " & !is.na (trees$full_species)] <- "Salix sp"
trees$full_species [trees$full_species == "Styrax " & !is.na (trees$full_species)] <- "Styrax sp"
trees$full_species [trees$full_species == "Tilia " & !is.na (trees$full_species)] <- "Tilia sp"
trees$full_species [trees$full_species == "Ulmus " & !is.na (trees$full_species)] <- "Ulmus sp"
trees$full_species [trees$full_species == "Photinia " & !is.na (trees$full_species)] <- "Photinia sp"
trees$full_species [trees$full_species == "Populus x " & !is.na (trees$full_species)] <- "Populus x hybrid"







# fix the hybrids
trees $full_species [trees $species == "x"] <- paste (trees $Genus[trees $species == "x"], trees $species[trees $species == "x"], trees $other[trees $species == "x"], sep = " ")


#add tree biostatus
tree_biostatus <- read.csv ("../1_data/NZSpecies.csv", as.is = TRUE)
tree_biostatus$full_species <- paste (tree_biostatus$Genus, tree_biostatus$species, sep = " ")
head (tree_biostatus$full_species)

tree_biostatus_simple <- unique (tree_biostatus[,c("full_species", "Origin_status")])

Trees <- merge (trees, tree_biostatus_simple, by = "full_species", all.x = TRUE, all.y = FALSE)

#Fix the biostatus
Trees $Origin_status [Trees$Origin_status == "Endemic" & !is.na(Trees$Origin_status)] <- "Native"

Trees $Origin_status [Trees$Origin_status == "Naturalised" & !is.na(Trees$Origin_status)] <- "Exotic"


head(Trees)







#2000
trees2000 <- Trees [Trees $first.year.with.houses == "2000", c("first.year.with.houses", "full_species", "Origin_status")]


unique (trees2000)

#1995
trees1995 <- Trees [Trees $first.year.with.houses == "1995", c("first.year.with.houses", "full_species", "Origin_status")]
unique (trees1995)

#1990

trees1990 <- Trees [Trees $first.year.with.houses == "1990", c("first.year.with.houses", "full_species", "Origin_status")]
unique (trees1990)

# save off a subset of just the big mature trees (bigger than 10 cm DBH)
trees_big <- Trees [(Trees$Tree_DBH >= 0.10 & !is.na(Trees$Tree_DBH)) & (is.na(Trees$Age_class) | Trees$Age_class != "Juvenile"),]
nrow (trees_big)

# save off a subset of just the small trees (less than 10 cm DBH)
trees_small <- Trees [Trees$Tree_DBH < 0.10 & !is.na(Trees$Tree_DBH),]
nrow (trees_small)


# analysis of the effect of housing age on the proportion of trees that are exotic
# our hypothesis is that areas with older housing should have a high proportion of exotic trees in their gardens

# to do this, we need two columns, counts of exotics and counts of natives, per id square

# we can do this per species and per individual trees
# and do it for all trees, and separately for just big trees

TreesPerID_individuals <- as.data.frame.table (table (Trees$id, Trees$Origin_status))
names (TreesPerID_individuals) <- c("id", "Origin_status", "individual_count")

# change to wide format
TreesPerID_individuals <- data.frame (id = TreesPerID_individuals$id [TreesPerID_individuals$Origin_status == "Exotic"], exotic_individual_count = TreesPerID_individuals$individual_count [TreesPerID_individuals$Origin_status == "Exotic"], native_individual_count = TreesPerID_individuals$individual_count [TreesPerID_individuals$Origin_status == "Native"])

head (TreesPerID_individuals)
# for species, first create a new data.frame with just the unique species in each ID
TreesUnique <- unique (Trees)

TreesPerID_species <- as.data.frame.table (table (TreesUnique$id, TreesUnique$Origin_status))
names (TreesPerID_species) <- c("id", "Origin_status", "species_count")

# change to wide format
TreesPerID_species <- data.frame (id = TreesPerID_species$id [TreesPerID_species$Origin_status == "Exotic"], exotic_species_count = TreesPerID_species$species_count [TreesPerID_species$Origin_status == "Exotic"], native_species_count = TreesPerID_species$species_count [TreesPerID_species$Origin_status == "Native"])

head (TreesPerID_species)

# combine together to keep tidy
TreesPerID <- merge (TreesPerID_individuals, TreesPerID_species, all = TRUE)

head (TreesPerID)

# add housing age back
TreesPerID <- merge (TreesPerID, houses[,c("id", "first.year.with.houses")], by = "id", all.x = TRUE, all.y = FALSE)

head (TreesPerID)

TreesPerID$percentage.native.species <- (TreesPerID$native_species_count / (TreesPerID$native_species_count + TreesPerID$exotic_species_count)) * 100

TreesPerID$percentage.native.individuals <- (TreesPerID$native_individual_count / (TreesPerID$native_individual_count + TreesPerID$exotic_individual_count)) * 100


y.species <- cbind (TreesPerID$native_species_count, TreesPerID$exotic_species_count)

model.species <- glm (y.species ~ TreesPerID$first.year.with.houses, family = binomial)
anova (model.species, test = "Chisq")
summary (model.species)

# make a plot of the average proportion of species that are native

pdf (file = "../4_graphs/percentage native trees VS housing age.pdf", width = 8, height = 6)
plot (TreesPerID$percentage.native.species ~ TreesPerID$first.year.with.houses, ylab = "% all native tree species", xlab = "Year when first subdivision", main = "Percentage Native Tree Species VS Housing Age")
abline (lm (TreesPerID$percentage.native.species ~ TreesPerID$first.year.with.houses))
dev.off()

plot (tapply (TreesPerID$percentage.native.species, TreesPerID$first.year.with.houses, mean, na.rm = TRUE))


y.individuals <- cbind (TreesPerID$native_individual_count, TreesPerID$exotic_individual_count)


model.individuals <- glm (y.individuals ~ TreesPerID$first.year.with.houses, family = binomial)
anova (model.individuals, test = "Chisq")
summary (model.individuals)

# make a plot of the average proportion of species that are native

pdf (file = "../4_graphs/percentage native individual trees VS housing age.pdf", width = 8, height = 6)
plot (TreesPerID$percentage.native.individuals ~ TreesPerID$first.year.with.houses, ylab = "% Individual Native Trees", xlab = "Year when first subdivision", main = "Percentage Native Individual Trees VS Housing Age")
abline (lm (TreesPerID$percentage.native.individuals ~ TreesPerID$first.year.with.houses))
dev.off()

tapply (TreesPerID$percentage.native.individuals , TreesPerID$first.year.with.houses ,mean)

# repeat for big trees only 

trees_bigPerID_individuals <- as.data.frame.table (table (trees_big$id, trees_big$Origin_status))
names (trees_bigPerID_individuals) <- c("id", "Origin_status", "individual_count")

# change to wide format
trees_bigPerID_individuals <- data.frame (id = trees_bigPerID_individuals$id [trees_bigPerID_individuals$Origin_status == "Exotic"], exotic_individual_count = trees_bigPerID_individuals$individual_count [trees_bigPerID_individuals$Origin_status == "Exotic"], native_individual_count = trees_bigPerID_individuals$individual_count [trees_bigPerID_individuals$Origin_status == "Native"])

head (trees_bigPerID_individuals)
# for species, first create a new data.frame with just the unique species in each ID
trees_bigUnique <- unique (trees_big)

trees_bigPerID_species <- as.data.frame.table (table (trees_bigUnique$id, trees_bigUnique$Origin_status))
names (trees_bigPerID_species) <- c("id", "Origin_status", "species_count")

# change to wide format
trees_bigPerID_species <- data.frame (id = trees_bigPerID_species$id [trees_bigPerID_species$Origin_status == "Exotic"], exotic_species_count = trees_bigPerID_species$species_count [trees_bigPerID_species$Origin_status == "Exotic"], native_species_count = trees_bigPerID_species$species_count [trees_bigPerID_species$Origin_status == "Native"])

head (trees_bigPerID_species)

# combine together to keep tidy
trees_bigPerID <- merge (trees_bigPerID_individuals, trees_bigPerID_species, all = TRUE)

head (trees_bigPerID)

# add housing age back
trees_bigPerID <- merge (trees_bigPerID, houses[,c("id", "first.year.with.houses")], by = "id", all.x = TRUE, all.y = FALSE)

head (trees_bigPerID)

trees_bigPerID$percentage.native.species <- (trees_bigPerID$native_species_count / (trees_bigPerID$native_species_count + trees_bigPerID$exotic_species_count)) * 100

trees_bigPerID$percentage.native.individuals <- (trees_bigPerID$native_individual_count / (trees_bigPerID$native_individual_count + trees_bigPerID$exotic_individual_count)) * 100


y.species <- cbind (trees_bigPerID$native_species_count, trees_bigPerID$exotic_species_count)

modelbig.species <- glm (y.species ~ trees_bigPerID$first.year.with.houses, family = binomial)
anova (modelbig.species, test = "Chisq")
summary (modelbig.species)

# make a plot of the average proportion of species that are native

pdf (file = "../4_graphs/percentage big native tree species VS housing age.pdf", width = 8, height = 6)
plot (trees_bigPerID$percentage.native.species ~ trees_bigPerID$first.year.with.houses, ylab = "% tree species native", xlab = "Year when first subdivision", main = "Big trees (>= 10 cm DBH)")
abline (lm (trees_bigPerID$percentage.native.species ~ trees_bigPerID$first.year.with.houses))
dev.off()

plot (tapply (trees_bigPerID$percentage.native.species, trees_bigPerID$first.year.with.houses, mean, na.rm = TRUE))


y.individuals <- cbind (trees_bigPerID$native_individual_count, trees_bigPerID$exotic_individual_count)


modelbig.individuals <- glm (y.individuals ~ trees_bigPerID$first.year.with.houses, family = binomial)
anova (modelbig.individuals, test = "Chisq")
summary (modelbig.individuals)

# make a plot of the average proportion of species that are native

pdf (file = "../4_graphs/percentage individual big trees native VS housing age.pdf", width = 8, height = 6)
plot (trees_bigPerID$percentage.native.individuals ~ trees_bigPerID$first.year.with.houses, ylab = "% tree individuals native", xlab = "Year when first subdivision", main = "Big trees (>= 10 cm DBH)")
abline (lm (trees_bigPerID$percentage.native.individuals ~ trees_bigPerID$first.year.with.houses))
dev.off()

tapply (trees_bigPerID$percentage.native.individuals , trees_bigPerID$first.year.with.houses ,mean, na.rm = TRUE)

# repeat for just the small trees (<10 cm DBH, of those with a DBH recorded)

# repeat for small trees only 

trees_smallPerID_individuals <- as.data.frame.table (table (trees_small$id, trees_small$Origin_status))
names (trees_smallPerID_individuals) <- c("id", "Origin_status", "individual_count")

# change to wide format
trees_smallPerID_individuals <- data.frame (id = trees_smallPerID_individuals$id [trees_smallPerID_individuals$Origin_status == "Exotic"], exotic_individual_count = trees_smallPerID_individuals$individual_count [trees_smallPerID_individuals$Origin_status == "Exotic"], native_individual_count = trees_smallPerID_individuals$individual_count [trees_smallPerID_individuals$Origin_status == "Native"])

head (trees_smallPerID_individuals)
# for species, first create a new data.frame with just the unique species in each ID
trees_smallUnique <- unique (trees_small)

trees_smallPerID_species <- as.data.frame.table (table (trees_smallUnique$id, trees_smallUnique$Origin_status))
names (trees_smallPerID_species) <- c("id", "Origin_status", "species_count")

# change to wide format
trees_smallPerID_species <- data.frame (id = trees_smallPerID_species$id [trees_smallPerID_species$Origin_status == "Exotic"], exotic_species_count = trees_smallPerID_species$species_count [trees_smallPerID_species$Origin_status == "Exotic"], native_species_count = trees_smallPerID_species$species_count [trees_smallPerID_species$Origin_status == "Native"])

head (trees_smallPerID_species)

# combine together to keep tidy
trees_smallPerID <- merge (trees_smallPerID_individuals, trees_smallPerID_species, all = TRUE)

head (trees_smallPerID)

# add housing age back
trees_smallPerID <- merge (trees_smallPerID, houses[,c("id", "first.year.with.houses")], by = "id", all.x = TRUE, all.y = FALSE)

head (trees_smallPerID)

trees_smallPerID$percentage.native.species <- (trees_smallPerID$native_species_count / (trees_smallPerID$native_species_count + trees_smallPerID$exotic_species_count)) * 100

trees_smallPerID$percentage.native.individuals <- (trees_smallPerID$native_individual_count / (trees_smallPerID$native_individual_count + trees_smallPerID$exotic_individual_count)) * 100


y.species <- cbind (trees_smallPerID$native_species_count, trees_smallPerID$exotic_species_count)

modelsmall.species <- glm (y.species ~ trees_smallPerID$first.year.with.houses, family = binomial)
anova (modelsmall.species, test = "Chisq")
summary (modelsmall.species)

# make a plot of the average proportion of species that are native

pdf (file = "../4_graphs/percentage small native tree species VS housing age.pdf", width = 8, height = 6)
plot (trees_smallPerID$percentage.native.species ~ trees_smallPerID$first.year.with.houses, ylab = "% tree species native", xlab = "Year when first subdivision", main = "Small trees (< 10 cm DBH)")
abline (lm (trees_smallPerID$percentage.native.species ~ trees_smallPerID$first.year.with.houses))
dev.off()

plot (tapply (trees_smallPerID$percentage.native.species, trees_smallPerID$first.year.with.houses, mean, na.rm = TRUE))


y.individuals <- cbind (trees_smallPerID$native_individual_count, trees_smallPerID$exotic_individual_count)


modelsmall.individuals <- glm (y.individuals ~ trees_smallPerID$first.year.with.houses, family = binomial)
anova (modelsmall.individuals, test = "Chisq")
summary (modelsmall.individuals)

# make a plot of the average proportion of species that are native

pdf (file = "../4_graphs/percentage individual small trees native VS housing age.pdf", width = 8, height = 6)
plot (trees_smallPerID$percentage.native.individuals ~ trees_smallPerID$first.year.with.houses, ylab = "% individual trees native", xlab = "Year when first subdivision", main = "Small trees (< 10 cm DBH)")
abline (lm (trees_smallPerID$percentage.native.individuals ~ trees_smallPerID$first.year.with.houses))
dev.off()

tapply (trees_smallPerID$percentage.native.individuals , trees_smallPerID$first.year.with.houses ,mean, na.rm = TRUE)



#----------------------------------------------------------------

Union_dbf <- read.dbf ("../1_data/CERA red zone tree database/Red Zone_GIS Tree data/Union.dbf")
str (Union_dbf)


head (Union_dbf$dbf)
Union <- Union_dbf$dbf [, c("id", "xmin", "xmax", "ymin", "ymax", "MB_Number","area")]
head(Union)
nrow (Union)
# remove the rows with NA in area and MB_Number
Union <- Union [!is.na(Union$MB_Number) & !is.na(Union$area) & !is.na(Union$id) ,]
nrow (Union)

head (Union)

# next we add in the deprivation data
deprivation <- read.table ("../1_data/otago069930.txt", sep = "\t", header = TRUE, as.is = TRUE)

head(deprivation)

Union <- merge (Union, deprivation, all.x = TRUE, all.y = FALSE)
nrow(Union)
head (Union)

table (Union$NZDep2013)


# explore data.
# which rows have no deprivation index data
nrow (Union [is.na (Union$NZDep2013),])
# how many grid squares are affected
length(unique (Union [is.na (Union$NZDep2013),"id"]))

# load in the meshblock areas to add to Union
mesharea_dbf <- read.dbf ("../1_data/CERA red zone tree database/Red Zone_GIS Tree data/mesharea.dbf")

head (mesharea_dbf$dbf)
mesharea <- mesharea_dbf $dbf [, c( "MB_Number","mesharea")]
head(mesharea)
nrow (mesharea)

Union<- merge(Union, mesharea, all.x=TRUE, all.y= FALSE)
head(Union)

# now calculate the minimum, mean, and maximum NZDep2013 per grid square 
# note that not all mesh blocks have deprivation values in the original data
# this generates Inf and -Inf in the min and max (these need to get replaced with NA)
NZDep2013min <- as.data.frame(tapply (Union$NZDep2013, Union$id, min, na.rm = TRUE))
names (NZDep2013min) <- "min.NZDep2013"
NZDep2013min$id <- row.names (NZDep2013min)
row.names (NZDep2013min) <- c(1:nrow(NZDep2013min))
NZDep2013min$min.NZDep2013 [NZDep2013min$min.NZDep2013 == Inf] <- NA

NZDep2013max <- as.data.frame(tapply (Union$NZDep2013, Union$id, max, na.rm = TRUE))
names (NZDep2013max) <- "max.NZDep2013"
NZDep2013max$id <- row.names (NZDep2013max)
row.names (NZDep2013max) <- c(1:nrow(NZDep2013max))
NZDep2013max$max.NZDep2013 [NZDep2013max$max.NZDep2013 == -Inf] <- NA

# we calculate the mean value proportional to the area of each meshblock inside each grid
Union$NZDep2013_x_area <- Union$NZDep2013 * Union$area
# and calculate the sum of these
NZDep2013areadepsums <- as.data.frame(tapply (Union$NZDep2013_x_area, Union$id, sum, na.rm = TRUE))
names (NZDep2013areadepsums) <- "area.depriv.sum.NZDep2013"
NZDep2013areadepsums$id <- row.names (NZDep2013areadepsums)
row.names (NZDep2013areadepsums) <- c(1:nrow(NZDep2013areadepsums))
# and add up the area inside each grid with deprivation data (will at or less than 1000)
NZDep2013sum <- as.data.frame(tapply (Union$area [!is.na (Union$NZDep2013)], Union$id [!is.na (Union$NZDep2013)], sum, na.rm = TRUE))
names (NZDep2013sum) <- "sum.areas.with.depriv.data.NZDep2013"
NZDep2013sum$id <- row.names (NZDep2013sum)
row.names (NZDep2013sum) <- c(1:nrow(NZDep2013sum))

NZDep2013mean <- merge (NZDep2013areadepsums, NZDep2013sum, all = TRUE)

head (NZDep2013mean)

NZDep2013mean$mean.NZDep2013 <- NZDep2013mean$area.depriv.sum.NZDep2013 / NZDep2013mean$sum.areas.with.depriv.data.NZDep2013

summary (NZDep2013mean$mean.NZDep2013)

# look at the range of areas inside grid square with deprivation data
# for those grid square with a very small area of data, perhaps they should be removed or set to a deprivation of NA
summary (NZDep2013mean$sum.areas.with.depriv.data.NZDep2013)
hist (NZDep2013mean$sum.areas.with.depriv.data.NZDep2013)

# for any grid with less than half its area with deprivation data, set the mean deprivation to NA

NZDep2013mean$mean.NZDep2013 [NZDep2013mean$sum.areas.with.depriv.data.NZDep2013 < 5000] <- NA

# also estimate the resident population inside each grid using the meshblock population values
# we don't expect this to affect the tree data much at all, once housing is taken into account

# for each grid, sum the population column (UR_pop_2013) * area (in grid) / mesharea (total area of meshblock)
Union$population_in_grid <- NA
Union$population_in_grid [!is.na(Union$UR_pop_2013)] <- Union$UR_pop_2013[!is.na(Union$UR_pop_2013)] * (Union$area[!is.na(Union$UR_pop_2013)]/Union$mesharea[!is.na(Union$UR_pop_2013)])
head (Union)

# and sum these values up per grid
Gridpopulation <- data.frame (tapply (Union$population_in_grid, Union$id, sum, na.rm = TRUE))
names (Gridpopulation) <- "estimated.population.in.grid.2013"
Gridpopulation$id <- row.names (Gridpopulation)
row.names (Gridpopulation) <- c(1:nrow(Gridpopulation))
head (Gridpopulation)
mean (Gridpopulation$estimated.population.in.grid.2013, na.rm = TRUE)



# now add these min, max, and mean deprivation values and population back into our housing data.frame

TreesPerID <- merge (TreesPerID, Gridpopulation, all.x = TRUE, all.y = FALSE)
TreesPerID <- merge (TreesPerID, NZDep2013mean [,c("id", "mean.NZDep2013")], all.x = TRUE, all.y = FALSE)
TreesPerID <- merge (TreesPerID, NZDep2013max, all.x = TRUE, all.y = FALSE)
TreesPerID <- merge (TreesPerID, NZDep2013min, all.x = TRUE, all.y = FALSE)
head (TreesPerID)

plot (TreesPerID$mean.NZDep2013,  TreesPerID$percentage.native.species)
abline (lm (TreesPerID$percentage.native.species~TreesPerID$mean.NZDep2013))

TreesPerID$total_trees <- TreesPerID$exotic_individual_count + TreesPerID$native_individual_count

trees_bigPerID <- merge (trees_bigPerID, Gridpopulation, all.x = TRUE, all.y = FALSE)
trees_bigPerID <- merge (trees_bigPerID, NZDep2013mean [,c("id", "mean.NZDep2013")], all.x = TRUE, all.y = FALSE)
trees_bigPerID <- merge (trees_bigPerID, NZDep2013max, all.x = TRUE, all.y = FALSE)
trees_bigPerID <- merge (trees_bigPerID, NZDep2013min, all.x = TRUE, all.y = FALSE)
head (trees_bigPerID)

trees_bigPerID$total_trees <- trees_bigPerID$exotic_individual_count + trees_bigPerID$native_individual_count

plot (trees_bigPerID$mean.NZDep2013,  trees_bigPerID$percentage.native.species)
abline (lm (trees_bigPerID$percentage.native.species~ trees_bigPerID$mean.NZDep2013))

plot (trees_bigPerID$estimated.population.in.grid.2013,  trees_bigPerID$percentage.native.species)
abline (lm (trees_bigPerID$percentage.native.species~ trees_bigPerID$estimated.population.in.grid.2013))

plot (trees_bigPerID$mean.NZDep2013,  trees_bigPerID$total_trees)
abline (lm (trees_bigPerID$total_trees ~ trees_bigPerID$mean.NZDep2013))

y.species <- cbind (trees_bigPerID$native_species_count, trees_bigPerID$exotic_species_count)

modelbig.species2 <- glm (y.species ~ (trees_bigPerID$first.year.with.houses + trees_bigPerID$mean.NZDep2013 + trees_bigPerID$estimated.population.in.grid.2013 + trees_bigPerID$total_trees)^2, family = binomial)
anova (modelbig.species2, test = "Chisq")
summary (modelbig.species2)




trees_smallPerID <- merge (trees_smallPerID, Gridpopulation, all.x = TRUE, all.y = FALSE)
trees_smallPerID <- merge (trees_smallPerID, NZDep2013mean [,c("id", "mean.NZDep2013")], all.x = TRUE, all.y = FALSE)
trees_smallPerID <- merge (trees_smallPerID, NZDep2013max, all.x = TRUE, all.y = FALSE)
trees_smallPerID <- merge (trees_smallPerID, NZDep2013min, all.x = TRUE, all.y = FALSE)
head (trees_smallPerID)

trees_smallPerID$total_trees <- trees_smallPerID$exotic_individual_count + trees_smallPerID$native_individual_count

plot (trees_smallPerID$mean.NZDep2013,  trees_smallPerID$percentage.native.species)
abline (lm (trees_smallPerID$percentage.native.species~ trees_smallPerID$mean.NZDep2013))

plot (trees_smallPerID$estimated.population.in.grid.2013,  trees_smallPerID$percentage.native.species)
abline (lm (trees_smallPerID$percentage.native.species~ trees_smallPerID$estimated.population.in.grid.2013))

plot (trees_smallPerID$mean.NZDep2013,  trees_smallPerID$total_trees)
abline (lm (trees_smallPerID$total_trees ~ trees_smallPerID$mean.NZDep2013))

y.species <- cbind (trees_smallPerID$native_species_count, trees_smallPerID$exotic_species_count)

modelsmall.species2 <- glm (y.species ~ (trees_smallPerID$first.year.with.houses + trees_smallPerID$mean.NZDep2013 + trees_smallPerID$estimated.population.in.grid.2013 + trees_smallPerID$total_trees)^2, family = binomial)
anova (modelsmall.species2, test = "Chisq")
summary (modelsmall.species2)





# For soil analysis


soil_dbf <- read.dbf ("../1_data/CERA red zone tree database/Red Zone_GIS Tree data/soilarea.dbf")
str (soil_dbf)
head (soil_dbf)
soil <- soil_dbf$dbf [, c("id", "xmin", "xmax", "ymin", "ymax", "SOIL","soilarea","VERSATILIT")]
head(soil)
nrow(soil)
soil<- soil [!is.na(soil$id) ,]

unique(soil$VERSATILIT)
nrow (soil [is.na (soil$VERSATILIT),])
length(unique (soil [is.na (soil$VERSATILIT),"id"]))
soil <- soil [!is.na(soil$VERSATILIT) ,]

table(soil$VERSATILIT)

TreesPerID <- merge (TreesPerID, soil, all.x = TRUE, all.y = FALSE)
head(TreesPerID)
nrow(TreesPerID)

# make new columns containing the peices of VERSATILIT
soil$versatility <- as.numeric (sub ("^([0-9]).*$", "\\1", soil$VERSATILIT))
unique (soil$versatility)

# also get the versatility subclasses (these are the letter codes in VERSATILIT)

soil$limit.potential.root.depth <- ""
soil$limit.potential.root.depth [grepl ("^.*r.*$", soil$VERSATILIT)] <- "yes"

soil$profile.readily.available.water <- ""
soil$profile.readily.available.water [grepl ("^.*m.*$", soil$VERSATILIT)] <- "yes"

soil$penetration.resistance.within.potential.root.depth <- ""
soil$penetration.resistance.within.potential.root.depth [grepl ("^.*p.*$", soil$VERSATILIT)] <- "yes"

soil$aeration.status.wetness <- ""
soil$aeration.status.wetness [grepl ("^.*w.*$", soil$VERSATILIT)] <- "yes"

soil$stoniness <- ""
soil$stoniness [grepl ("^.*s.*$", soil$VERSATILIT)] <- "yes"


soil$soil.trafficability <- ""
soil$soil.trafficability [grepl ("^.*b.*$", soil$VERSATILIT)] <- "yes"

soil$slope <- ""
soil$slope [grepl ("^.*t.*$", soil$VERSATILIT)] <- "yes"

soil$salinity <- ""
soil$salinity [grepl ("^.*n.*$", soil$VERSATILIT)] <- "yes"


head(soil)
tail(soil)



# we calculate the mean value proportional to the area of each soilblock inside each grid
soil$versatility_x_area <- soil$versatility * soil$soilarea
# and calculate the sum of these
versatilityareasoilsums <- as.data.frame(tapply (soil$versatility_x_area, soil$id, sum, na.rm = TRUE))
names (versatilityareasoilsums) <- "area.soil.sum.versatility"
versatilityareasoilsums$id <- row.names (versatilityareasoilsums)
row.names (versatilityareasoilsums) <- c(1:nrow(versatilityareasoilsums))


# and add up the area inside each grid with soil data (will at or less than 1000)
versatilitysum <- as.data.frame(tapply (soil$soilarea[!is.na (soil$versatility)], soil$id [!is.na (soil$versatility)], sum, na.rm = TRUE))
names (versatilitysum) <- "sum.areas.with.soil.data.versatility"
versatilitysum$id <- row.names (versatilitysum)
row.names (versatilitysum) <- c(1:nrow(versatilitysum))

versatilitymean <- merge (versatilityareasoilsums, versatilitysum, all = TRUE)

head (versatilitymean)

versatilitymean$mean.versatility <- versatilitymean$area.soil.sum.versatility / versatilitymean$sum.areas.with.soil.data.versatility

summary (versatilitymean$mean.versatility)


summary (versatilitymean $sum.areas.with.soil.data.versatility)
hist (versatilitymean $sum.areas.with.soil.data.versatility)


TreesPerID <- merge (TreesPerID, versatilitymean [,c("id", "mean.versatility")], all.x = TRUE, all.y = FALSE)

head (TreesPerID)

plot (TreesPerID$mean.versatility,  TreesPerID$percentage.native.species)
abline (lm (TreesPerID$percentage.native.species~TreesPerID$mean.versatility))




TreesPerID$total_trees <- TreesPerID$exotic_individual_count + TreesPerID$native_individual_count


trees_bigPerID <- merge (trees_bigPerID, versatilitymean [,c("id", "mean.versatility")], all.x = TRUE, all.y = FALSE)


trees_bigPerID$total_trees <- trees_bigPerID$exotic_individual_count + trees_bigPerID$native_individual_count

plot (trees_bigPerID$mean.versatility,  trees_bigPerID$percentage.native.species)
abline (lm (trees_bigPerID$percentage.native.species~ trees_bigPerID$mean.versatility))

trees_smallPerID <- merge (trees_smallPerID, versatilitymean [,c("id", "mean.versatility")], all.x = TRUE, all.y = FALSE)


trees_smallPerID$total_trees <- trees_smallPerID$exotic_individual_count + trees_smallPerID$native_individual_count

plot (trees_smallPerID$mean.versatility,  trees_smallPerID$percentage.native.species)
abline (lm (trees_smallPerID$percentage.native.species~ trees_smallPerID$mean.versatility))



# statistics now with soil, separate big and small trees

# statisics, now including soils
#install.packages ("AICcmodavg")
library (AICcmodavg)

y.species <- cbind (trees_bigPerID$native_species_count, trees_bigPerID$exotic_species_count)


modelbig.all.3wayinteractions <- glm (y.species ~ (trees_bigPerID$first.year.with.houses + trees_bigPerID$mean.NZDep2013 + trees_bigPerID$estimated.population.in.grid.2013 + trees_bigPerID$total_trees + trees_bigPerID$mean.versatility)^3, family = binomial)
anova (modelbig.all.3wayinteractions, test = "Chisq")
summary (modelbig.all.3wayinteractions)
AICc (modelbig.all.3wayinteractions)

modelbig.all.2wayinteractions <- glm (y.species ~ (trees_bigPerID$first.year.with.houses + trees_bigPerID$mean.NZDep2013 + trees_bigPerID$estimated.population.in.grid.2013 + trees_bigPerID$total_trees + trees_bigPerID$mean.versatility)^2, family = binomial)
anova (modelbig.all.2wayinteractions, test = "Chisq")
summary (modelbig.all.2wayinteractions)
AICc (modelbig.all.2wayinteractions)

modelbig.all.2wayinteractions.nopopn <- glm (y.species ~ (trees_bigPerID$first.year.with.houses + trees_bigPerID$mean.NZDep2013 + trees_bigPerID$total_trees + trees_bigPerID$mean.versatility)^2, family = binomial)
anova (modelbig.all.2wayinteractions.nopopn, test = "Chisq")
summary (modelbig.all.2wayinteractions.nopopn)
AICc (modelbig.all.2wayinteractions.nopopn)

modelbig.all.2wayinteractions.nosoil <- glm (y.species ~ (trees_bigPerID$first.year.with.houses + trees_bigPerID$estimated.population.in.grid.2013 + trees_bigPerID$mean.NZDep2013 + trees_bigPerID$total_trees)^2, family = binomial)
anova (modelbig.all.2wayinteractions.nosoil, test = "Chisq")
summary (modelbig.all.2wayinteractions.nosoil)
AICc (modelbig.all.2wayinteractions.nosoil)

modelbig.all.2wayinteractions.nohouse <- glm (y.species ~ (trees_bigPerID$mean.NZDep2013 + trees_bigPerID$estimated.population.in.grid.2013 + trees_bigPerID$total_trees + trees_bigPerID$mean.versatility)^2, family = binomial)
anova (modelbig.all.2wayinteractions.nohouse, test = "Chisq")
summary (modelbig.all.2wayinteractions.nohouse)
AICc (modelbig.all.2wayinteractions.nohouse)

modelbig.all.nointeractions <- glm (y.species ~ (trees_bigPerID$first.year.with.houses + trees_bigPerID$mean.NZDep2013 + trees_bigPerID$estimated.population.in.grid.2013 + trees_bigPerID$total_trees + trees_bigPerID$mean.versatility), family = binomial)
anova (modelbig.all.nointeractions, test = "Chisq")
summary (modelbig.all.nointeractions)
AICc(modelbig.all.nointeractions)

modelbig.houses <- glm (y.species ~ (trees_bigPerID$first.year.with.houses), family = binomial)
anova (modelbig.houses, test = "Chisq")
summary (modelbig.houses)
AICc(modelbig.houses)

modelbig.depriv <- glm (y.species ~ (trees_bigPerID$mean.NZDep2013), family = binomial)
anova (modelbig.depriv, test = "Chisq")
summary (modelbig.depriv)
AICc(modelbig.depriv)

modelbig.popn <- glm (y.species ~ (trees_bigPerID$estimated.population.in.grid.2013), family = binomial)
anova (modelbig.popn, test = "Chisq")
summary (modelbig.popn)
AICc(modelbig.popn)

modelbig.totaltrees <- glm (y.species ~ (trees_bigPerID$total_trees), family = binomial)
anova (modelbig.totaltrees, test = "Chisq")
summary (modelbig.totaltrees)
AICc(modelbig.totaltrees)

modelbig.versatility <- glm (y.species ~ (trees_bigPerID$mean.versatility), family = binomial)
anova (modelbig.versatility, test = "Chisq")
summary (modelbig.versatility)
AICc(modelbig.versatility)

library (AICcmodavg)

y.species <- cbind (trees_smallPerID$native_species_count, trees_smallPerID$exotic_species_count)


modelsmall.all.3wayinteractions <- glm (y.species ~ (trees_smallPerID$first.year.with.houses + trees_smallPerID$mean.NZDep2013 + trees_smallPerID$estimated.population.in.grid.2013 + trees_smallPerID$total_trees + trees_smallPerID$mean.versatility)^3, family = binomial)
anova (modelsmall.all.3wayinteractions, test = "Chisq")
summary (modelsmall.all.3wayinteractions)
AICc (modelsmall.all.3wayinteractions)

modelsmall.all.2wayinteractions <- glm (y.species ~ (trees_smallPerID$first.year.with.houses + trees_smallPerID$mean.NZDep2013 + trees_smallPerID$estimated.population.in.grid.2013 + trees_smallPerID$total_trees + trees_smallPerID$mean.versatility)^2, family = binomial)
anova (modelsmall.all.2wayinteractions, test = "Chisq")
summary (modelsmall.all.2wayinteractions)
AICc (modelsmall.all.2wayinteractions)

modelsmall.all.2wayinteractions.nopopn <- glm (y.species ~ (trees_smallPerID$first.year.with.houses + trees_smallPerID$mean.NZDep2013 + trees_smallPerID$total_trees + trees_smallPerID$mean.versatility)^2, family = binomial)
anova (modelsmall.all.2wayinteractions.nopopn, test = "Chisq")
summary (modelsmall.all.2wayinteractions.nopopn)
AICc (modelsmall.all.2wayinteractions.nopopn)

modelsmall.all.2wayinteractions.nosoil <- glm (y.species ~ (trees_smallPerID$first.year.with.houses + trees_smallPerID$estimated.population.in.grid.2013 + trees_smallPerID$mean.NZDep2013 + trees_smallPerID$total_trees)^2, family = binomial)
anova (modelsmall.all.2wayinteractions.nosoil, test = "Chisq")
summary (modelsmall.all.2wayinteractions.nosoil)
AICc (modelsmall.all.2wayinteractions.nosoil)

modelsmall.all.2wayinteractions.nohouse <- glm (y.species ~ (trees_smallPerID$mean.NZDep2013 + trees_smallPerID$estimated.population.in.grid.2013 + trees_smallPerID$total_trees + trees_smallPerID$mean.versatility)^2, family = binomial)
anova (modelsmall.all.2wayinteractions.nohouse, test = "Chisq")
summary (modelsmall.all.2wayinteractions.nohouse)
AICc (modelsmall.all.2wayinteractions.nohouse)

modelsmall.all.nointeractions <- glm (y.species ~ (trees_smallPerID$first.year.with.houses + trees_smallPerID$mean.NZDep2013 + trees_smallPerID$estimated.population.in.grid.2013 + trees_smallPerID$total_trees + trees_smallPerID$mean.versatility), family = binomial)
anova (modelsmall.all.nointeractions, test = "Chisq")
summary (modelsmall.all.nointeractions)
AICc(modelsmall.all.nointeractions)

modelsmall.houses <- glm (y.species ~ (trees_smallPerID$first.year.with.houses), family = binomial)
anova (modelsmall.houses, test = "Chisq")
summary (modelsmall.houses)
AICc(modelsmall.houses)

modelsmall.depriv <- glm (y.species ~ (trees_smallPerID$mean.NZDep2013), family = binomial)
anova (modelsmall.depriv, test = "Chisq")
summary (modelsmall.depriv)
AICc(modelsmall.depriv)

modelsmall.popn <- glm (y.species ~ (trees_smallPerID$estimated.population.in.grid.2013), family = binomial)
anova (modelsmall.popn, test = "Chisq")
summary (modelsmall.popn)
AICc(modelsmall.popn)

modelsmall.totaltrees <- glm (y.species ~ (trees_smallPerID$total_trees), family = binomial)
anova (modelsmall.totaltrees, test = "Chisq")
summary (modelsmall.totaltrees)
AICc(modelsmall.totaltrees)

modelsmall.versatility <- glm (y.species ~ (trees_smallPerID$mean.versatility), family = binomial)
anova (modelsmall.versatility, test = "Chisq")
summary (modelsmall.versatility)
AICc(modelsmall.versatility)


modelsmall.all.nointeractions.nosoil <- glm (y.species ~ (trees_smallPerID$first.year.with.houses + trees_smallPerID$mean.NZDep2013 + trees_smallPerID$estimated.population.in.grid.2013 + trees_smallPerID$total_trees), family = binomial)
anova (modelsmall.all.nointeractions.nosoil, test = "Chisq")
summary (modelsmall.all.nointeractions.nosoil)
AICc(modelsmall.all.nointeractions.nosoil)

modelsmall.all.nointeractions.nopopu <- glm (y.species ~ (trees_smallPerID$first.year.with.houses + trees_smallPerID$mean.NZDep2013  + trees_smallPerID$total_trees +trees_smallPerID$mean.versatility), family = binomial)
anova (modelsmall.all.nointeractions.nopopu, test = "Chisq")
summary (modelsmall.all.nointeractions.nopopu)
AICc(modelsmall.all.nointeractions.nopopu)

modelsmall.all.nointeractions.nohouses <- glm (y.species ~ (trees_smallPerID$estimated.population.in.grid + trees_smallPerID$mean.NZDep2013  + trees_smallPerID$total_trees +trees_smallPerID$mean.versatility), family = binomial)
anova (modelsmall.all.nointeractions.nohouses, test = "Chisq")
summary (modelsmall.all.nointeractions.nohouses)
AICc(modelsmall.all.nointeractions.nohouses)


modelsmall.all.nointeractions.nodepriv <- glm (y.species ~ (trees_smallPerID$estimated.population.in.grid + trees_smallPerID$first.year.with.houses   + trees_smallPerID$total_trees +trees_smallPerID$mean.versatility), family = binomial)
anova (modelsmall.all.nointeractions.nodepriv, test = "Chisq")
summary (modelsmall.all.nointeractions.nodepriv)
AICc(modelsmall.all.nointeractions.nodepriv)


modelsmall.all.nointeractions.nototaltree <- glm (y.species ~ (trees_smallPerID$estimated.population.in.grid + trees_smallPerID$first.year.with.houses   + trees_smallPerID$mean.NZDep2013 +trees_smallPerID$mean.versatility), family = binomial)
anova (modelsmall.all.nointeractions.nototaltree, test = "Chisq")
summary (modelsmall.all.nointeractions.nototaltree)
AICc(modelsmall.all.nointeractions.nototaltree)


modelsmall.houses.deprivation <- glm (y.species ~ ( trees_smallPerID$first.year.with.houses   + trees_smallPerID$mean.NZDep2013), family = binomial)
anova (modelsmall.houses.deprivation, test = "Chisq")
summary (modelsmall.houses.deprivation)
AICc(modelsmall.houses.deprivation)

modelsmall.houses.soil <- glm (y.species ~ ( trees_smallPerID$first.year.with.houses   + trees_smallPerID$mean.versatility), family = binomial)
anova (modelsmall.houses.soil, test = "Chisq")
summary (modelsmall.houses.soil)
AICc(modelsmall.houses.soil)


modelsmall.houses.popu<- glm (y.species ~ ( trees_smallPerID$first.year.with.houses   + trees_smallPerID$estimated.population.in.grid), family = binomial)
anova (modelsmall.houses.popu, test = "Chisq")
summary (modelsmall.houses.popu)
AICc(modelsmall.houses.popu)


modelsmall.deprivation.popu<- glm (y.species ~ ( trees_smallPerID$mean.NZDep2013   + trees_smallPerID$estimated.population.in.grid), family = binomial)
anova (modelsmall.deprivation.popu, test = "Chisq")
summary (modelsmall.deprivation.popu)
AICc(modelsmall.deprivation.popu)


modelsmall.deprivation.soil<- glm (y.species ~ ( trees_smallPerID$mean.NZDep2013   + trees_smallPerID$mean.versatility), family = binomial)
anova (modelsmall.deprivation.soil, test = "Chisq")
summary (modelsmall.deprivation.soil)
AICc(modelsmall.deprivation.soil)


modelsmall.population.soil<- glm (y.species ~ ( trees_smallPerID$ estimated.population.in.grid + trees_smallPerID$mean.versatility), family = binomial)
anova (modelsmall.population.soil, test = "Chisq")
summary (modelsmall.population.soil)
AICc(modelsmall.population.soil)



install.packages ("MuMIn") # package needed for model averaging
library (MuMIn)


options(na.action = "na.fail")

# remove rows with NA for mean.NZDep2013 (this comes from the raw data)
y.species <- y.species [!is.na(trees_smallPerID$mean.NZDep2013),]
trees_smallPerID <- trees_smallPerID [!is.na(trees_smallPerID$mean.NZDep2013),]

fm1 <- glm(y.species ~ (trees_smallPerID$first.year.with.houses + trees_smallPerID$mean.NZDep2013 + trees_smallPerID$estimated.population.in.grid.2013 + trees_smallPerID$total_trees + trees_smallPerID$mean.versatility)^2, family = "binomial")
dd <- dredge(fm1)
subset(dd, delta < 4)


#confset.95p <- get.models(dd, subset = cumsum(weight) <= .95)

# Model average models with delta AICc < 4
model.best.subset <- get.models(dd, subset = delta < 4)
avgm <- model.avg(model.best.subset)
predict (avgm)

# make a new data.frame with different values for each column that we can use the "predict" on so we can make graphs

newdata <- data.frame ("trees_smallPerID$first.year.with.houses" = 1940, "trees_smallPerID$mean.NZDep2013" = 3, "trees_smallPerID$estimated.population.in.grid.2013" = 0, "trees_smallPerID$total_trees" = 7, "trees_smallPerID$mean.versatility" = 3)
names (newdata) = c("trees_smallPerID$first.year.with.houses", "trees_smallPerID$mean.NZDep2013", "trees_smallPerID$estimated.population.in.grid.2013", "trees_smallPerID$total_trees", "trees_smallPerID$mean.versatility")

predict (avgm, newdata) 

par(mar = c(3,5,6,4))
plot(dd, labAsExpr = TRUE)



my.model.avg <- model.avg(dd, subset = delta < 4)



#'Best' model
summary(get.models(dd, 1)[[1]])


# make a graph with the coefficents (estimates) from the averaged best model
model.avg.coefficients.subset <- model.avg(dd, subset = delta < 4)$coeff[2,]

model.avg.coefficients.best<- summary(get.models(dd, 1)[[1]])$coeff[,1]


# since this is a binomial model, the model coefficients are making a logit (y). 
# this can be back transformed with exp (model y) / (1+exp (model y))

?curve
population.low <- 0
population.high <- 36

# tree number
total_trees.low <- 7
total_trees.high <- 21

# deprivation (10 is poor, 0 is rich)
deprivation.rich <- 3
deprivation.poor <- 7

# soil versatility
versatility.poor = 3
versatility.good = 5

# housing age
housing.old= 1940
housing.new = 2000

reverse.logit <- function(x) exp (x) / (1 + exp (x))

# graph predicted model values of y for population.low, total_trees.low, deprivation.poor, versatility.poor
curve (  reverse.logit (model.avg.coefficients.subset ['(Intercept)' ] + 
model.avg.coefficients.subset ['trees_smallPerID$estimated.population.in.grid.2013' ] * population.low + 
model.avg.coefficients.subset ['trees_smallPerID$first.year.with.houses' ]*x + 
model.avg.coefficients.subset ['trees_smallPerID$total_trees' ]* total_trees.low + 
model.avg.coefficients.subset ['trees_smallPerID$estimated.population.in.grid.2013:trees_smallPerID$first.year.with.houses']* population.low*x + 
model.avg.coefficients.subset ['trees_smallPerID$mean.NZDep2013' ]* deprivation.poor + 
model.avg.coefficients.subset ['trees_smallPerID$first.year.with.houses:trees_smallPerID$mean.NZDep2013' ] *x* deprivation.poor + 
model.avg.coefficients.subset ['trees_smallPerID$estimated.population.in.grid.2013:trees_smallPerID$total_trees' ] * population.low * total_trees.low + 
model.avg.coefficients.subset ['trees_smallPerID$first.year.with.houses:trees_smallPerID$total_trees' ]*x* total_trees.low + 
model.avg.coefficients.subset ['trees_smallPerID$mean.versatility' ]  * versatility.poor + 
model.avg.coefficients.subset ['trees_smallPerID$estimated.population.in.grid.2013:trees_smallPerID$mean.NZDep2013' ]* population.low* deprivation.poor + 
model.avg.coefficients.subset ['trees_smallPerID$mean.NZDep2013:trees_smallPerID$total_trees' ]* deprivation.poor* total_trees.low + 
model.avg.coefficients.subset ['trees_smallPerID$first.year.with.houses:trees_smallPerID$mean.versatility' ]*x* versatility.poor + 
model.avg.coefficients.subset ['trees_smallPerID$estimated.population.in.grid.2013:trees_smallPerID$mean.versatility' ]* population.low* versatility.poor + 
model.avg.coefficients.subset ['trees_smallPerID$mean.versatility:trees_smallPerID$total_trees' ]* versatility.poor* total_trees.low ), 
from = 1940, to = 2000, ylab = "proportion native", xlab = "Year of oldest houses", main = "Small trees", ylim = c(0,1), las = 1)


# overlay
# graph predicted model values of y for population.high, total_trees.high, deprivation.rich, versatility.good
curve (  reverse.logit (model.avg.coefficients.subset ['(Intercept)' ] + 
model.avg.coefficients.subset ['trees_smallPerID$estimated.population.in.grid.2013' ] * population.high + 
model.avg.coefficients.subset ['trees_smallPerID$first.year.with.houses' ]*x + 
model.avg.coefficients.subset ['trees_smallPerID$total_trees' ]* total_trees.high + 
model.avg.coefficients.subset ['trees_smallPerID$estimated.population.in.grid.2013:trees_smallPerID$first.year.with.houses']* population.high*x + 
model.avg.coefficients.subset ['trees_smallPerID$mean.NZDep2013' ]* deprivation.rich + 
model.avg.coefficients.subset ['trees_smallPerID$first.year.with.houses:trees_smallPerID$mean.NZDep2013' ] *x* deprivation.rich + 
model.avg.coefficients.subset ['trees_smallPerID$estimated.population.in.grid.2013:trees_smallPerID$total_trees' ] * population.high * total_trees.high + model.avg.coefficients.subset ['trees_smallPerID$first.year.with.houses:trees_smallPerID$total_trees' ]*x* total_trees.high + 
model.avg.coefficients.subset ['trees_smallPerID$mean.versatility' ]  * versatility.good + 
model.avg.coefficients.subset ['trees_smallPerID$estimated.population.in.grid.2013:trees_smallPerID$mean.NZDep2013' ]* population.high* deprivation.rich + 
model.avg.coefficients.subset ['trees_smallPerID$mean.NZDep2013:trees_smallPerID$total_trees' ]* deprivation.rich* total_trees.high + 
model.avg.coefficients.subset ['trees_smallPerID$first.year.with.houses:trees_smallPerID$mean.versatility' ]*x* versatility.good + 
model.avg.coefficients.subset ['trees_smallPerID$estimated.population.in.grid.2013:trees_smallPerID$mean.versatility' ]* population.high* versatility.good + 
model.avg.coefficients.subset ['trees_smallPerID$mean.versatility:trees_smallPerID$total_trees' ]* versatility.good* total_trees.high), 
from = 1940, to = 2010, ylab = "proportion native", xlab = "Year of oldest houses", main = "Small trees", ylim = c(0,1), las = 1, add = TRUE, col = "green")


?predict

model.predicted.y <- (predict (get.models(dd, 1)[[1]]))
back.transformed.y <- exp (model.predicted.y)/(1+exp(model.predicted.y))



# use the best model

# graph predicted model values of y for population.low, total_trees.low, deprivation.poor, versatility.poor
curve (  reverse.logit  (model.avg.coefficients.best ['(Intercept)' ] + 
model.avg.coefficients.best ['trees_smallPerID$estimated.population.in.grid.2013' ] * population.low + 
model.avg.coefficients.best ['trees_smallPerID$first.year.with.houses' ]*x + 
model.avg.coefficients.best ['trees_smallPerID$total_trees' ]* total_trees.low + 
model.avg.coefficients.best ['trees_smallPerID$estimated.population.in.grid.2013:trees_smallPerID$first.year.with.houses']* population.low*x), 
from = 1940, to = 2000, ylab = "proportion native", xlab = "Year of oldest houses", main = "Small trees", ylim = c(0,1), las = 1)


curve (  reverse.logit (model.avg.coefficients.best ['(Intercept)' ] + 
model.avg.coefficients.best ['trees_smallPerID$estimated.population.in.grid.2013' ] * population.high + 
model.avg.coefficients.best ['trees_smallPerID$first.year.with.houses' ]*x + 
model.avg.coefficients.best ['trees_smallPerID$total_trees' ]* total_trees.high + 
model.avg.coefficients.best ['trees_smallPerID$estimated.population.in.grid.2013:trees_smallPerID$first.year.with.houses']* population.high*x) , 
from = 1940, to = 2000, ylab = "proportion native", xlab = "Year of oldest houses", main = "Small trees", ylim = c(0,1), las = 1,  add = TRUE, col = "green")

curve (  reverse.logit (model.avg.coefficients.best ['(Intercept)' ] + 
model.avg.coefficients.best ['trees_smallPerID$estimated.population.in.grid.2013' ] * population.low+ 
model.avg.coefficients.best ['trees_smallPerID$first.year.with.houses' ]*x + 
model.avg.coefficients.best ['trees_smallPerID$total_trees' ]* total_trees.high + 
model.avg.coefficients.best ['trees_smallPerID$estimated.population.in.grid.2013:trees_smallPerID$first.year.with.houses']* population.low*x) , 
from = 1940, to = 2000, ylab = "proportion native", xlab = "Year of oldest houses", main = "Small trees", ylim = c(0,1), las = 1, add = TRUE, col = "red")

curve (  reverse.logit (model.avg.coefficients.best ['(Intercept)' ] + 
model.avg.coefficients.best ['trees_smallPerID$estimated.population.in.grid.2013' ] * population.high+ 
model.avg.coefficients.best ['trees_smallPerID$first.year.with.houses' ]*x + 
model.avg.coefficients.best ['trees_smallPerID$total_trees' ]* total_trees.low + 
model.avg.coefficients.best ['trees_smallPerID$estimated.population.in.grid.2013:trees_smallPerID$first.year.with.houses']* population.high*x), 
from = 1940, to = 2000, ylab = "proportion native", xlab = "Year of oldest houses", main = "Small trees", ylim = c(0,1), las = 1, add = TRUE, col = "orange")








test <- data.frame ('trees_smallPerID$estimated.population.in.grid.2013' = population.high, 'trees_smallPerID$first.year.with.houses' = 1940,  'trees_smallPerID$total_trees' = 10 )
names (test) <- c("trees_smallPerID$estimated.population.in.grid.2013", "trees_smallPerID$first.year.with.houses", "trees_smallPerID$total_trees")
predict (model.avg.coefficients.best, test)
predict (model.avg.coefficients.best)

predict (get.models(dd, 1)[[1]], test)

# make some graphs of the main results
# we are unsure how to predict results from the subset model so for now we just graph the results of the best model

# population result

plot (trees_smallPerID$estimated.population.in.grid.2013,  trees_smallPerID$percentage.native.species, xlab = "Population in grid square", ylab = "% tree species that are native", main = "Trees DBH < 10 cm", col = "grey")

curve (  reverse.logit (model.avg.coefficients.best ['(Intercept)' ] + 
model.avg.coefficients.best ['trees_smallPerID$estimated.population.in.grid.2013' ] * x+ 
model.avg.coefficients.best ['trees_smallPerID$first.year.with.houses' ]* housing.new + 
model.avg.coefficients.best ['trees_smallPerID$total_trees' ]* 29 + 
model.avg.coefficients.best ['trees_smallPerID$estimated.population.in.grid.2013:trees_smallPerID$first.year.with.houses']* x* housing.new) * 100, 
from = min(trees_smallPerID$estimated.population.in.grid.2013), to = max(trees_smallPerID$estimated.population.in.grid.2013), main = "Small trees", las = 1, add = TRUE, col = "black")

curve (  reverse.logit (model.avg.coefficients.best ['(Intercept)' ] + 
model.avg.coefficients.best ['trees_smallPerID$estimated.population.in.grid.2013' ] * x+ 
model.avg.coefficients.best ['trees_smallPerID$first.year.with.houses' ]* housing.old + 
model.avg.coefficients.best ['trees_smallPerID$total_trees' ]* 29 + 
model.avg.coefficients.best ['trees_smallPerID$estimated.population.in.grid.2013:trees_smallPerID$first.year.with.houses']* x* housing.old) * 100, 
from = min(trees_smallPerID$estimated.population.in.grid.2013), to = max(trees_smallPerID$estimated.population.in.grid.2013), main = "Small trees", las = 1, add = TRUE, col = "black", lty = 2) # lty=2 makes a dashed line


# housing result

plot (trees_smallPerID$first.year.with.houses,  trees_smallPerID$percentage.native.species, xlab = "Year of first subdivision", ylab = "% tree species that are native", main = "Trees DBH < 10 cm", col = "grey")

curve (  reverse.logit (model.avg.coefficients.best ['(Intercept)' ] + 
model.avg.coefficients.best ['trees_smallPerID$estimated.population.in.grid.2013' ] * population.high  + 
model.avg.coefficients.best ['trees_smallPerID$first.year.with.houses' ]*x + 
model.avg.coefficients.best ['trees_smallPerID$total_trees' ]* 29 + 
model.avg.coefficients.best ['trees_smallPerID$estimated.population.in.grid.2013:trees_smallPerID$first.year.with.houses']* population.high*x) * 100, 
from = min(trees_smallPerID$first.year.with.houses), to = max(trees_smallPerID$first.year.with.houses), las = 1, add = TRUE, col = "black", lty = 1)

curve (  reverse.logit (model.avg.coefficients.best ['(Intercept)' ] + 
model.avg.coefficients.best ['trees_smallPerID$estimated.population.in.grid.2013' ] * population.low  + 
model.avg.coefficients.best ['trees_smallPerID$first.year.with.houses' ]*x + 
model.avg.coefficients.best ['trees_smallPerID$total_trees' ]* 29 + 
model.avg.coefficients.best ['trees_smallPerID$estimated.population.in.grid.2013:trees_smallPerID$first.year.with.houses']* population.low*x) * 100, 
from = min(trees_smallPerID$first.year.with.houses), to = max(trees_smallPerID$first.year.with.houses), las = 1, add = TRUE, col = "black", lty = 2) # lty=2 makes a dashed line


# Total trees
plot (trees_smallPerID$total_trees, trees_smallPerID$percentage.native.species, xlab = "total trees", ylab = "% tree species that are native", main = "Trees DBH < 10 cm", col = "grey")

curve (  reverse.logit (model.avg.coefficients.best ['(Intercept)' ] + 
model.avg.coefficients.best ['trees_smallPerID$estimated.population.in.grid.2013' ] * 18  + 
model.avg.coefficients.best ['trees_smallPerID$first.year.with.houses' ] * housing.new + 
model.avg.coefficients.best ['trees_smallPerID$total_trees' ]* x+ 
model.avg.coefficients.best ['trees_smallPerID$estimated.population.in.grid.2013:trees_smallPerID$first.year.with.houses']* 18* housing.new) * 100, 
from = min(trees_smallPerID$total_trees), to = max(trees_smallPerID$total_trees), las = 1, add = TRUE, col = "black", lty = 1)

curve (  reverse.logit (model.avg.coefficients.best ['(Intercept)' ] + 
model.avg.coefficients.best ['trees_smallPerID$estimated.population.in.grid.2013' ] * 18  + 
model.avg.coefficients.best ['trees_smallPerID$first.year.with.houses' ] * housing.old + 
model.avg.coefficients.best ['trees_smallPerID$total_trees' ]* x+ 
model.avg.coefficients.best ['trees_smallPerID$estimated.population.in.grid.2013:trees_smallPerID$first.year.with.houses']* 18* housing.old) * 100, 
from = min(trees_smallPerID$total_trees), to = max(trees_smallPerID$total_trees), las = 1, add = TRUE, col = "black", lty = 2) # lty=2 makes a dashed line

# are there fewer trees in grid squares with higher population?
cor.test (trees_smallPerID$estimated.population.in.grid.2013, trees_smallPerID$total_trees) # yes!
plot (trees_smallPerID$estimated.population.in.grid.2013, trees_smallPerID$total_trees, ylab = "Trees per grid", xlab = "Human population per grid", main = "Trees DBH < 10 cm")
abline (lm(trees_smallPerID$total_trees ~ trees_smallPerID$estimated.population.in.grid.2013))





#--------------------------------------------------------
library (AICcmodavg)

y.species <- cbind (trees_bigPerID$native_species_count, trees_bigPerID$exotic_species_count)


modelbig.all.3wayinteractions <- glm (y.species ~ (trees_bigPerID$first.year.with.houses + trees_bigPerID$mean.NZDep2013 + trees_bigPerID$estimated.population.in.grid.2013 + trees_bigPerID$total_trees + trees_bigPerID$mean.versatility)^3, family = binomial)
anova (modelbig.all.3wayinteractions, test = "Chisq")
summary (modelbig.all.3wayinteractions)
AICc (modelbig.all.3wayinteractions)

modelbig.all.2wayinteractions <- glm (y.species ~ (trees_bigPerID$first.year.with.houses + trees_bigPerID$mean.NZDep2013 + trees_bigPerID$estimated.population.in.grid.2013 + trees_bigPerID$total_trees + trees_bigPerID$mean.versatility)^2, family = binomial)
anova (modelbig.all.2wayinteractions, test = "Chisq")
summary (modelbig.all.2wayinteractions)
AICc (modelbig.all.2wayinteractions)

modelbig.all.2wayinteractions.nopopn <- glm (y.species ~ (trees_bigPerID$first.year.with.houses + trees_bigPerID$mean.NZDep2013 + trees_bigPerID$total_trees + trees_bigPerID$mean.versatility)^2, family = binomial)
anova (modelbig.all.2wayinteractions.nopopn, test = "Chisq")
summary (modelbig.all.2wayinteractions.nopopn)
AICc (modelbig.all.2wayinteractions.nopopn)

modelbig.all.2wayinteractions.nosoil <- glm (y.species ~ (trees_bigPerID$first.year.with.houses + trees_bigPerID$estimated.population.in.grid.2013 + trees_bigPerID$mean.NZDep2013 + trees_bigPerID$total_trees)^2, family = binomial)
anova (modelbig.all.2wayinteractions.nosoil, test = "Chisq")
summary (modelbig.all.2wayinteractions.nosoil)
AICc (modelbig.all.2wayinteractions.nosoil)

modelbig.all.2wayinteractions.nohouse <- glm (y.species ~ (trees_bigPerID$mean.NZDep2013 + trees_bigPerID$estimated.population.in.grid.2013 + trees_bigPerID$total_trees + trees_bigPerID$mean.versatility)^2, family = binomial)
anova (modelbig.all.2wayinteractions.nohouse, test = "Chisq")
summary (modelbig.all.2wayinteractions.nohouse)
AICc (modelbig.all.2wayinteractions.nohouse)

modelbig.all.nointeractions <- glm (y.species ~ (trees_bigPerID$first.year.with.houses + trees_bigPerID$mean.NZDep2013 + trees_bigPerID$estimated.population.in.grid.2013 + trees_bigPerID$total_trees + trees_bigPerID$mean.versatility), family = binomial)
anova (modelbig.all.nointeractions, test = "Chisq")
summary (modelbig.all.nointeractions)
AICc(modelbig.all.nointeractions)

modelbig.houses <- glm (y.species ~ (trees_bigPerID$first.year.with.houses), family = binomial)
anova (modelbig.houses, test = "Chisq")
summary (modelbig.houses)
AICc(modelbig.houses)

modelbig.depriv <- glm (y.species ~ (trees_bigPerID$mean.NZDep2013), family = binomial)
anova (modelbig.depriv, test = "Chisq")
summary (modelbig.depriv)
AICc(modelbig.depriv)

modelbig.popn <- glm (y.species ~ (trees_bigPerID$estimated.population.in.grid.2013), family = binomial)
anova (modelbig.popn, test = "Chisq")
summary (modelbig.popn)
AICc(modelbig.popn)

modelbig.totaltrees <- glm (y.species ~ (trees_bigPerID$total_trees), family = binomial)
anova (modelbig.totaltrees, test = "Chisq")
summary (modelbig.totaltrees)
AICc(modelbig.totaltrees)

modelbig.versatility <- glm (y.species ~ (trees_bigPerID$mean.versatility), family = binomial)
anova (modelbig.versatility, test = "Chisq")
summary (modelbig.versatility)
AICc(modelbig.versatility)


modelbig.all.nointeractions.nosoil <- glm (y.species ~ (trees_bigPerID$first.year.with.houses + trees_bigPerID$mean.NZDep2013 + trees_bigPerID$estimated.population.in.grid.2013 + trees_bigPerID$total_trees), family = binomial)
anova (modelbig.all.nointeractions.nosoil, test = "Chisq")
summary (modelbig.all.nointeractions.nosoil)
AICc(modelbig.all.nointeractions.nosoil)

modelbig.all.nointeractions.nopopu <- glm (y.species ~ (trees_bigPerID$first.year.with.houses + trees_bigPerID$mean.NZDep2013  + trees_bigPerID$total_trees +trees_bigPerID$mean.versatility), family = binomial)
anova (modelbig.all.nointeractions.nopopu, test = "Chisq")
summary (modelbig.all.nointeractions.nopopu)
AICc(modelbig.all.nointeractions.nopopu)

modelbig.all.nointeractions.nohouses <- glm (y.species ~ (trees_bigPerID$estimated.population.in.grid + trees_bigPerID$mean.NZDep2013  + trees_bigPerID$total_trees +trees_bigPerID$mean.versatility), family = binomial)
anova (modelbig.all.nointeractions.nohouses, test = "Chisq")
summary (modelbig.all.nointeractions.nohouses)
AICc(modelbig.all.nointeractions.nohouses)


modelbig.all.nointeractions.nodepriv <- glm (y.species ~ (trees_bigPerID$estimated.population.in.grid + trees_bigPerID$first.year.with.houses   + trees_bigPerID$total_trees +trees_bigPerID$mean.versatility), family = binomial)
anova (modelbig.all.nointeractions.nodepriv, test = "Chisq")
summary (modelbig.all.nointeractions.nodepriv)
AICc(modelbig.all.nointeractions.nodepriv)


modelbig.all.nointeractions.nototaltree <- glm (y.species ~ (trees_bigPerID$estimated.population.in.grid + trees_bigPerID$first.year.with.houses   + trees_bigPerID$mean.NZDep2013 +trees_bigPerID$mean.versatility), family = binomial)
anova (modelbig.all.nointeractions.nototaltree, test = "Chisq")
summary (modelbig.all.nointeractions.nototaltree)
AICc(modelbig.all.nointeractions.nototaltree)


modelbig.houses.deprivation <- glm (y.species ~ ( trees_bigPerID$first.year.with.houses   + trees_bigPerID$mean.NZDep2013), family = binomial)
anova (modelbig.houses.deprivation, test = "Chisq")
summary (modelbig.houses.deprivation)
AICc(modelbig.houses.deprivation)

modelbig.houses.soil <- glm (y.species ~ ( trees_bigPerID$first.year.with.houses   + trees_bigPerID$mean.versatility), family = binomial)
anova (modelbig.houses.soil, test = "Chisq")
summary (modelbig.houses.soil)
AICc(modelbig.houses.soil)


modelbig.houses.popu<- glm (y.species ~ ( trees_bigPerID$first.year.with.houses   + trees_bigPerID$estimated.population.in.grid), family = binomial)
anova (modelbig.houses.popu, test = "Chisq")
summary (modelbig.houses.popu)
AICc(modelbig.houses.popu)


modelbig.deprivation.popu<- glm (y.species ~ ( trees_bigPerID$mean.NZDep2013   + trees_bigPerID$estimated.population.in.grid), family = binomial)
anova (modelbig.deprivation.popu, test = "Chisq")
summary (modelbig.deprivation.popu)
AICc(modelbig.deprivation.popu)


modelbig.deprivation.soil<- glm (y.species ~ ( trees_bigPerID$mean.NZDep2013   + trees_bigPerID$mean.versatility), family = binomial)
anova (modelbig.deprivation.soil, test = "Chisq")
summary (modelbig.deprivation.soil)
AICc(modelbig.deprivation.soil)


modelbig.population.soil<- glm (y.species ~ ( trees_bigPerID$ estimated.population.in.grid + trees_bigPerID$mean.versatility), family = binomial)
anova (modelbig.population.soil, test = "Chisq")
summary (modelbig.population.soil)
AICc(modelbig.population.soil)



install.packages ("MuMIn") # package needed for model averaging
library (MuMIn)


options(na.action = "na.fail")

# remove rows with NA for mean.NZDep2013 (this comes from the raw data)
y.species <- y.species [!is.na(trees_bigPerID$mean.NZDep2013),]
trees_bigPerID <- trees_bigPerID [!is.na(trees_bigPerID$mean.NZDep2013),]

fm1 <- glm(y.species ~ (trees_bigPerID$first.year.with.houses + trees_bigPerID$mean.NZDep2013 + trees_bigPerID$estimated.population.in.grid.2013 + trees_bigPerID$total_trees + trees_bigPerID$mean.versatility)^2, family = "binomial")
dd <- dredge(fm1)
subset(dd, delta < 4)


#confset.95p <- get.models(dd, subset = cumsum(weight) <= .95)

# Model average models with delta AICc < 4
model.best.subset <- get.models(dd, subset = delta < 4)
avgm <- model.avg(model.best.subset)
predict (avgm)

# make a new data.frame with different values for each column that we can use the "predict" on so we can make graphs

newdata <- data.frame ("trees_bigPerID$first.year.with.houses" = 1940, "trees_bigPerID$mean.NZDep2013" = 3, "trees_bigPerID$estimated.population.in.grid.2013" = 0, "trees_bigPerID$total_trees" = 7, "trees_bigPerID$mean.versatility" = 3)
names (newdata) = c("trees_bigPerID$first.year.with.houses", "trees_bigPerID$mean.NZDep2013", "trees_bigPerID$estimated.population.in.grid.2013", "trees_bigPerID$total_trees", "trees_bigPerID$mean.versatility")

predict (avgm, newdata) 

par(mar = c(3,5,6,4))
plot(dd, labAsExpr = TRUE)



my.model.avg <- model.avg(dd, subset = delta < 4)



#'Best' model
summary(get.models(dd, 1)[[1]])


# make a graph with the coefficents (estimates) from the averaged best model
model.avg.coefficients.subset <- model.avg(dd, subset = delta < 4)$coeff[2,]

model.avg.coefficients.best<- summary(get.models(dd, 1)[[1]])$coeff[,1]


# since this is a binomial model, the model coefficients are making a logit (y). 
# this can be back transformed with exp (model y) / (1+exp (model y))

?curve
population.low <- 0
population.high <- 36

# tree number
total_trees.low <- 7
total_trees.high <- 21

# deprivation (10 is poor, 0 is rich)
deprivation.rich <- 3
deprivation.poor <- 7

# soil versatility
versatility.poor = 3
versatility.good = 5

# housing age
housing.old= 1940
housing.new = 2000

reverse.logit <- function(x) exp (x) / (1 + exp (x))

# graph predicted model values of y for population.low, total_trees.low, deprivation.poor, versatility.poor
curve (  reverse.logit (model.avg.coefficients.subset ['(Intercept)' ] + 
model.avg.coefficients.subset ['trees_bigPerID$estimated.population.in.grid.2013' ] * population.low + 
model.avg.coefficients.subset ['trees_bigPerID$first.year.with.houses' ]*x + 
model.avg.coefficients.subset ['trees_bigPerID$total_trees' ]* total_trees.low + 
model.avg.coefficients.subset ['trees_bigPerID$estimated.population.in.grid.2013:trees_bigPerID$first.year.with.houses']* population.low*x + 
model.avg.coefficients.subset ['trees_bigPerID$mean.NZDep2013' ]* deprivation.poor + 
model.avg.coefficients.subset ['trees_bigPerID$first.year.with.houses:trees_bigPerID$mean.NZDep2013' ] *x* deprivation.poor + 
model.avg.coefficients.subset ['trees_bigPerID$estimated.population.in.grid.2013:trees_bigPerID$total_trees' ] * population.low * total_trees.low + 
model.avg.coefficients.subset ['trees_bigPerID$first.year.with.houses:trees_bigPerID$total_trees' ]*x* total_trees.low + 
model.avg.coefficients.subset ['trees_bigPerID$mean.versatility' ]  * versatility.poor + 
model.avg.coefficients.subset ['trees_bigPerID$estimated.population.in.grid.2013:trees_bigPerID$mean.NZDep2013' ]* population.low* deprivation.poor + 
model.avg.coefficients.subset ['trees_bigPerID$mean.NZDep2013:trees_bigPerID$total_trees' ]* deprivation.poor* total_trees.low + 
model.avg.coefficients.subset ['trees_bigPerID$first.year.with.houses:trees_bigPerID$mean.versatility' ]*x* versatility.poor + 
model.avg.coefficients.subset ['trees_bigPerID$estimated.population.in.grid.2013:trees_bigPerID$mean.versatility' ]* population.low* versatility.poor + 
model.avg.coefficients.subset ['trees_bigPerID$mean.versatility:trees_bigPerID$total_trees' ]* versatility.poor* total_trees.low ), 
from = 1940, to = 2000, ylab = "proportion native", xlab = "Year of oldest houses", main = "big trees", ylim = c(0,1), las = 1)


# overlay
# graph predicted model values of y for population.high, total_trees.high, deprivation.rich, versatility.good
curve (  reverse.logit (model.avg.coefficients.subset ['(Intercept)' ] + 
model.avg.coefficients.subset ['trees_bigPerID$estimated.population.in.grid.2013' ] * population.high + 
model.avg.coefficients.subset ['trees_bigPerID$first.year.with.houses' ]*x + 
model.avg.coefficients.subset ['trees_bigPerID$total_trees' ]* total_trees.high + 
model.avg.coefficients.subset ['trees_bigPerID$estimated.population.in.grid.2013:trees_bigPerID$first.year.with.houses']* population.high*x + 
model.avg.coefficients.subset ['trees_bigPerID$mean.NZDep2013' ]* deprivation.rich + 
model.avg.coefficients.subset ['trees_bigPerID$first.year.with.houses:trees_bigPerID$mean.NZDep2013' ] *x* deprivation.rich + 
model.avg.coefficients.subset ['trees_bigPerID$estimated.population.in.grid.2013:trees_bigPerID$total_trees' ] * population.high * total_trees.high + model.avg.coefficients.subset ['trees_bigPerID$first.year.with.houses:trees_bigPerID$total_trees' ]*x* total_trees.high + 
model.avg.coefficients.subset ['trees_bigPerID$mean.versatility' ]  * versatility.good + 
model.avg.coefficients.subset ['trees_bigPerID$estimated.population.in.grid.2013:trees_bigPerID$mean.NZDep2013' ]* population.high* deprivation.rich + 
model.avg.coefficients.subset ['trees_bigPerID$mean.NZDep2013:trees_bigPerID$total_trees' ]* deprivation.rich* total_trees.high + 
model.avg.coefficients.subset ['trees_bigPerID$first.year.with.houses:trees_bigPerID$mean.versatility' ]*x* versatility.good + 
model.avg.coefficients.subset ['trees_bigPerID$estimated.population.in.grid.2013:trees_bigPerID$mean.versatility' ]* population.high* versatility.good + 
model.avg.coefficients.subset ['trees_bigPerID$mean.versatility:trees_bigPerID$total_trees' ]* versatility.good* total_trees.high), 
from = 1940, to = 2010, ylab = "proportion native", xlab = "Year of oldest houses", main = "big trees", ylim = c(0,1), las = 1, add = TRUE, col = "green")


?predict

model.predicted.y <- (predict (get.models(dd, 1)[[1]]))
back.transformed.y <- exp (model.predicted.y)/(1+exp(model.predicted.y))



# use the best model

# graph predicted model values of y for population.low, total_trees.low, deprivation.poor, versatility.poor
curve (  reverse.logit  (model.avg.coefficients.best ['(Intercept)' ] + 
model.avg.coefficients.best ['trees_bigPerID$estimated.population.in.grid.2013' ] * population.low + 
model.avg.coefficients.best ['trees_bigPerID$first.year.with.houses' ]*x + 
model.avg.coefficients.best ['trees_bigPerID$total_trees' ]* total_trees.low + 
model.avg.coefficients.best ['trees_bigPerID$estimated.population.in.grid.2013:trees_bigPerID$first.year.with.houses']* population.low*x), 
from = 1940, to = 2000, ylab = "proportion native", xlab = "Year of oldest houses", main = "big trees", ylim = c(0,1), las = 1)


curve (  reverse.logit (model.avg.coefficients.best ['(Intercept)' ] + 
model.avg.coefficients.best ['trees_bigPerID$estimated.population.in.grid.2013' ] * population.high + 
model.avg.coefficients.best ['trees_bigPerID$first.year.with.houses' ]*x + 
model.avg.coefficients.best ['trees_bigPerID$total_trees' ]* total_trees.high + 
model.avg.coefficients.best ['trees_bigPerID$estimated.population.in.grid.2013:trees_bigPerID$first.year.with.houses']* population.high*x) , 
from = 1940, to = 2000, ylab = "proportion native", xlab = "Year of oldest houses", main = "big trees", ylim = c(0,1), las = 1,  add = TRUE, col = "green")

curve (  reverse.logit (model.avg.coefficients.best ['(Intercept)' ] + 
model.avg.coefficients.best ['trees_bigPerID$estimated.population.in.grid.2013' ] * population.low+ 
model.avg.coefficients.best ['trees_bigPerID$first.year.with.houses' ]*x + 
model.avg.coefficients.best ['trees_bigPerID$total_trees' ]* total_trees.high + 
model.avg.coefficients.best ['trees_bigPerID$estimated.population.in.grid.2013:trees_bigPerID$first.year.with.houses']* population.low*x) , 
from = 1940, to = 2000, ylab = "proportion native", xlab = "Year of oldest houses", main = "big trees", ylim = c(0,1), las = 1, add = TRUE, col = "red")

curve (  reverse.logit (model.avg.coefficients.best ['(Intercept)' ] + 
model.avg.coefficients.best ['trees_bigPerID$estimated.population.in.grid.2013' ] * population.high+ 
model.avg.coefficients.best ['trees_bigPerID$first.year.with.houses' ]*x + 
model.avg.coefficients.best ['trees_bigPerID$total_trees' ]* total_trees.low + 
model.avg.coefficients.best ['trees_bigPerID$estimated.population.in.grid.2013:trees_bigPerID$first.year.with.houses']* population.high*x), 
from = 1940, to = 2000, ylab = "proportion native", xlab = "Year of oldest houses", main = "big trees", ylim = c(0,1), las = 1, add = TRUE, col = "orange")








test <- data.frame ('trees_bigPerID$estimated.population.in.grid.2013' = population.high, 'trees_bigPerID$first.year.with.houses' = 1940,  'trees_bigPerID$total_trees' = 10 )
names (test) <- c("trees_bigPerID$estimated.population.in.grid.2013", "trees_bigPerID$first.year.with.houses", "trees_bigPerID$total_trees")
predict (model.avg.coefficients.best, test)
predict (model.avg.coefficients.best)

predict (get.models(dd, 1)[[1]], test)

# make some graphs of the main results
# we are unsure how to predict results from the subset model so for now we just graph the results of the best model

# population result

plot (trees_bigPerID$estimated.population.in.grid.2013,  trees_bigPerID$percentage.native.species, xlab = "Population in grid square", ylab = "% tree species that are native", main = "Trees DBH < 10 cm", col = "grey")

curve (  reverse.logit (model.avg.coefficients.best ['(Intercept)' ] + 
model.avg.coefficients.best ['trees_bigPerID$estimated.population.in.grid.2013' ] * x+ 
model.avg.coefficients.best ['trees_bigPerID$first.year.with.houses' ]* housing.new + 
model.avg.coefficients.best ['trees_bigPerID$total_trees' ]* 29 + 
model.avg.coefficients.best ['trees_bigPerID$estimated.population.in.grid.2013:trees_bigPerID$first.year.with.houses']* x* housing.new) * 100, 
from = min(trees_bigPerID$estimated.population.in.grid.2013), to = max(trees_bigPerID$estimated.population.in.grid.2013), main = "big trees", las = 1, add = TRUE, col = "black")

curve (  reverse.logit (model.avg.coefficients.best ['(Intercept)' ] + 
model.avg.coefficients.best ['trees_bigPerID$estimated.population.in.grid.2013' ] * x+ 
model.avg.coefficients.best ['trees_bigPerID$first.year.with.houses' ]* housing.old + 
model.avg.coefficients.best ['trees_bigPerID$total_trees' ]* 29 + 
model.avg.coefficients.best ['trees_bigPerID$estimated.population.in.grid.2013:trees_bigPerID$first.year.with.houses']* x* housing.old) * 100, 
from = min(trees_bigPerID$estimated.population.in.grid.2013), to = max(trees_bigPerID$estimated.population.in.grid.2013), main = "big trees", las = 1, add = TRUE, col = "black", lty = 2) # lty=2 makes a dashed line


# housing result

plot (trees_bigPerID$first.year.with.houses,  trees_bigPerID$percentage.native.species, xlab = "Year of first subdivision", ylab = "% tree species that are native", main = "Trees DBH < 10 cm", col = "grey")

curve (  reverse.logit (model.avg.coefficients.best ['(Intercept)' ] + 
model.avg.coefficients.best ['trees_bigPerID$estimated.population.in.grid.2013' ] * population.high  + 
model.avg.coefficients.best ['trees_bigPerID$first.year.with.houses' ]*x + 
model.avg.coefficients.best ['trees_bigPerID$total_trees' ]* 29 + 
model.avg.coefficients.best ['trees_bigPerID$estimated.population.in.grid.2013:trees_bigPerID$first.year.with.houses']* population.high*x) * 100, 
from = min(trees_bigPerID$first.year.with.houses), to = max(trees_bigPerID$first.year.with.houses), las = 1, add = TRUE, col = "black", lty = 1)

curve (  reverse.logit (model.avg.coefficients.best ['(Intercept)' ] + 
model.avg.coefficients.best ['trees_bigPerID$estimated.population.in.grid.2013' ] * population.low  + 
model.avg.coefficients.best ['trees_bigPerID$first.year.with.houses' ]*x + 
model.avg.coefficients.best ['trees_bigPerID$total_trees' ]* 29 + 
model.avg.coefficients.best ['trees_bigPerID$estimated.population.in.grid.2013:trees_bigPerID$first.year.with.houses']* population.low*x) * 100, 
from = min(trees_bigPerID$first.year.with.houses), to = max(trees_bigPerID$first.year.with.houses), las = 1, add = TRUE, col = "black", lty = 2) # lty=2 makes a dashed line


# Total trees
plot (trees_bigPerID$total_trees, trees_bigPerID$percentage.native.species, xlab = "total trees", ylab = "% tree species that are native", main = "Trees DBH < 10 cm", col = "grey")

curve (  reverse.logit (model.avg.coefficients.best ['(Intercept)' ] + 
model.avg.coefficients.best ['trees_bigPerID$estimated.population.in.grid.2013' ] * 18  + 
model.avg.coefficients.best ['trees_bigPerID$first.year.with.houses' ] * housing.new + 
model.avg.coefficients.best ['trees_bigPerID$total_trees' ]* x+ 
model.avg.coefficients.best ['trees_bigPerID$estimated.population.in.grid.2013:trees_bigPerID$first.year.with.houses']* 18* housing.new) * 100, 
from = min(trees_bigPerID$total_trees), to = max(trees_bigPerID$total_trees), las = 1, add = TRUE, col = "black", lty = 1)

curve (  reverse.logit (model.avg.coefficients.best ['(Intercept)' ] + 
model.avg.coefficients.best ['trees_bigPerID$estimated.population.in.grid.2013' ] * 18  + 
model.avg.coefficients.best ['trees_bigPerID$first.year.with.houses' ] * housing.old + 
model.avg.coefficients.best ['trees_bigPerID$total_trees' ]* x+ 
model.avg.coefficients.best ['trees_bigPerID$estimated.population.in.grid.2013:trees_bigPerID$first.year.with.houses']* 18* housing.old) * 100, 
from = min(trees_bigPerID$total_trees), to = max(trees_bigPerID$total_trees), las = 1, add = TRUE, col = "black", lty = 2) # lty=2 makes a dashed line

# are there fewer trees in grid squares with higher population?
cor.test (trees_bigPerID$estimated.population.in.grid.2013, trees_bigPerID$total_trees) # yes!
plot (trees_bigPerID$estimated.population.in.grid.2013, trees_bigPerID$total_trees, ylab = "Trees per grid", xlab = "Human population per grid", main = "Trees DBH < 10 cm")
abline (lm(trees_bigPerID$total_trees ~ trees_bigPerID$estimated.population.in.grid.2013))